package com.kaixed.kchat.viewmodel;

import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

import com.kaixed.kchat.model.login.Login;
import com.kaixed.kchat.repository.LoginRepository;

/**
 * @Author: kaixed
 * @Date: 2024/5/27 9:29
 * @Description: TODO
 */
public class LoginViewModel extends ViewModel {
    private final LoginRepository loginRepository;

    public LoginViewModel() {
        loginRepository = new LoginRepository();
    }

    public MutableLiveData<Login> login(String username, String password) {
        return loginRepository.login(username, password);
    }

}
